summaryrefslogtreecommitdiffstats
path: root/bin/hornet
diff options
context:
space:
mode:
authorJesse Luehrs <doy@tozt.net>2021-02-28 00:50:32 -0500
committerJesse Luehrs <doy@tozt.net>2021-02-28 00:50:32 -0500
commitda75b42e654e8d9acf1e8b494b2b68ff302aff2b (patch)
treea2b43a6895127c98552c413dcbec3be44e3c01cb /bin/hornet
parente9ff9f02c74656f9b02c50ac100fc3cd06d282d7 (diff)
downloadconf-da75b42e654e8d9acf1e8b494b2b68ff302aff2b.tar.gz
conf-da75b42e654e8d9acf1e8b494b2b68ff302aff2b.zip
add command for fully disabling a service
Diffstat (limited to 'bin/hornet')
-rwxr-xr-xbin/hornet/svdisable10
1 files changed, 10 insertions, 0 deletions
diff --git a/bin/hornet/svdisable b/bin/hornet/svdisable
new file mode 100755
index 0000000..24f779f
--- /dev/null
+++ b/bin/hornet/svdisable
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -eu
+
+svc="$1"
+
+svdn "$svc"
+svdn "${svc}/log"
+svc -x ~/.services/enabled/"$svc"/log
+svc -x ~/.services/enabled/"$svc"
+rm -f ~/.services/enabled/"$svc"